tigase.jaxmpp.core.client.xmpp.modules.auth

## Class ClientSaslException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - tigase.jaxmpp.core.client.exceptions.JaxmppException
      - - tigase.jaxmpp.core.client.xmpp.modules.auth.ClientSaslException

- All Implemented Interfaces:
    Serializable

      public class ClientSaslException
      extends JaxmppException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSaslException()`
    `ClientSaslException(String message)`
    `ClientSaslException(String message, Throwable cause)`
    `ClientSaslException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSaslException

          public ClientSaslException()

    - #### ClientSaslException

          public ClientSaslException(String message,
                                     Throwable cause)

    - #### ClientSaslException

          public ClientSaslException(String message)

    - #### ClientSaslException

          public ClientSaslException(Throwable cause)

Copyright © 2006–2020 Tigase. All rights reserved.